@echo off
echo Diese Stapelverarbeitungsdatei installiert folgende Programme
echo.
echo            * DATENBCHER der Firma PHILIPS COMPONENTS
echo            * DATENBCHER der Firma MOTOROLA
echo            * SCAN V100  BETA
echo            * CLEAN V100 BETA
echo.
echo.
echo Bitte Installationslaufwerk angeben:
Choice /c:AB 
IF ERRORLEVEL 2 goto b
IF ERRORLEVEL 1 goto a
IF ERRORLEVEL 0 goto END
:a
set I_LW=a:
goto Ziel
:b
set i_LW=B:
goto ziel
:Ziel
Echo %I_LW%
echo Bitte Ziellaufwerk angeben (C-Z):
Choice /C:ZYXWVUTSRQPONMLKJIHGFEDC 
IF ERRORLEVEL 24 GOTO C
IF ERRORLEVEL 23 GOTO D
IF ERRORLEVEL 22 GOTO E
IF ERRORLEVEL 21 GOTO F
IF ERRORLEVEL 20 GOTO G
IF ERRORLEVEL 19 GOTO H
IF ERRORLEVEL 18 GOTO I
IF ERRORLEVEL 17 GOTO J
IF ERRORLEVEL 16 GOTO K
IF ERRORLEVEL 15 GOTO L
IF ERRORLEVEL 14 GOTO M
IF ERRORLEVEL 13 GOTO N
IF ERRORLEVEL 12 GOTO O
IF ERRORLEVEL 11 GOTO P
IF ERRORLEVEL 10 GOTO Q
IF ERRORLEVEL 9 GOTO R
IF ERRORLEVEL 8 GOTO S
IF ERRORLEVEL 7 GOTO T
IF ERRORLEVEL 6 GOTO U
IF ERRORLEVEL 5 GOTO V
IF ERRORLEVEL 4 GOTO W
IF ERRORLEVEL 3 GOTO X
IF ERRORLEVEL 2 GOTO Y
IF ERRORLEVEL 1 GOTO Z
:C
SET Z_LW=C:
goto install
:D
SET Z_LW=D:
goto install
:E
SET Z_LW=E:
goto install
:F
SET Z_LW=F:
goto install
:G
SET Z_LW=G:
goto install
:H
SET Z_LW=H:
goto install
:I
SET Z_LW=I:
goto install
:J
SET Z_LW=J:
goto install
:K
SET Z_LW=K:
goto install
:L
SET Z_LW=L:
goto install
:M
SET Z_LW=M:
goto install
:N
SET Z_LW=N:
goto install
:O
SET Z_LW=O:
goto install
:P
SET Z_LW=P:
goto install
:Q
SET Z_LW=Q:
goto install
:R
SET Z_LW=R:
goto install
:S
SET Z_LW=S:
goto install
:T
SET Z_LW=T:
goto install
:U
SET Z_LW=U:
goto install
:V
SET Z_LW=V:
goto install
:W
SET Z_LW=W:
goto install
:X
SET Z_LW=X:
goto install
:Y
SET Z_LW=Y:
goto install
:Z
SET Z_LW=Z:
goto install

:install
Cls
Echo Installation von Laufwerk %I_LW% nach Laufwerk %Z_LW%
Echo Richtig [J,N]?
Choice /C:JN /N
IF ERRORLEVEL 2 install.bat
Echo.
Echo.
Echo Philips Components Datenbcher installieren?
Choice /C:JN 
IF ERRORLEVEL 2 GOTO ASK_MOTOROLA
IF ERRORLEVEL 1 GOTO PHILIPS
IF ERRORLEVEL 0 GOTO END
:PHILIPS
Echo Installiere Philips Components Datenbcher auf %Z_LW%\DATABOOK\PC
IF NOT EXIST %Z_LW%\DATABOOK MD %Z_LW%\DATABOOK
CD %Z_LW%\DATABOOK
%Z_LW%
%I_LW%\PCDATA -x -y
%I_LW%
GOTO ASK_MOTOROLA
:ASK_MOTOROLA
Echo Motorola Datenbcher installieren ?
Choice /C:JN 
IF ERRORLEVEL 2 GOTO ASK_SCANV100
IF ERRORLEVEL 1 GOTO MOTOROLA
IF ERRORLEVEL 0 GOTO END
:MOTOROLA
Echo Installiere Motorola Datenbcher auf %Z_LW%\DATABOOK\MOTOROLA
IF NOT EXIST %Z_LW%\DATABOOK MD %Z_LW%\DATABOOK
cd %Z_LW%\DATABOOK
MD %Z_LW%\DATABOOK\MOTOROLA
cd %Z_LW%\DATABOOK\MOTOROLA
%Z_LW%
%I_LW%\MODATA 
%I_LW%
GOTO ASK_SCANV100
:ASK_SCANV100
Echo Scan und Clean V100á installieren ?
Choice /C:JN /N
IF ERRORLEVEL 2 GOTO END
IF ERRORLEVEL 1 GOTO SCANV100
IF ERRORLEVEL 0 GOTO END
:SCANV100
Echo Installiere Scan und Clean V100á auf %Z_LW%\SCANV100
%Z_LW%
MD \SCANV100
cd \SCANV100
%I_LW%\V100á
%I_LW%
GOTO END
:END
Cls
Echo.
Echo.
Echo.
Echo ħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħ
Echo ħħ INSTALLATION beendet                            ħħ
Echo ħħ                                                 ħħ
Echo ħħ Installationsroutine (c) 1993 by FHZ Software   ħħ
Echo ħħ Choice (c) 1992-1993 by Microsoft Corp.         ħħ
Echo ħħ Scan  (c) 1993 by McAfee - Shareware            ħħ
Echo ħħ Clean (c) 1993 by McAfee - Shareware            ħħ
Echo ħħ MBOOK (c) 1991 by Motorola - Freeware           ħħ
Echo ħħ PC    (c) 1992 by Philips -Freeware             ħħ
Echo ħħ LHA 2.05 (c) 1992 -Public Domain                ħħ
Echo ħħ ARJ (c) 1992 - Shareware                        ħħ
Echo ħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħ
